    001    /* ===========================================================
    002     * JFreeChart : a free chart library for the Java(tm) platform
    003     * ===========================================================
    004     *
    005     * (C) Copyright 2000-2005, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jfreechart/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * -------------------------
    028     * ContourPlotUtilities.java
    029     * -------------------------
    030     * (C) Copyright 2002-2004, by David M. O'Donnell and Contributors.
    031     *
    032     * Original Author:  David M. O'Donnell;
    033     * Contributor(s):   David Gilbert (for Object Refinery Limited);
    034     *
    035     * $Id: ContourPlotUtilities.java,v 1.2.2.1 2005/10/25 20:52:08 mungady Exp $
    036     *
    037     * Changes
    038     * -------
    039     * 26-Nov-2002 : Version 1 contributed by David M. O'Donnell (DG);
    040     * 22-Jul-2003 : Made this class abstract as there is no need to instantiate
    041     *               it (DG);
    042     *
    043     */
    044
    045    package org.jfree.chart.plot;
    046
    047    import org.jfree.data.Range;
    048    import org.jfree.data.contour.ContourDataset;
    049    import org.jfree.data.contour.DefaultContourDataset;
    050
    051    /**
    052     * Some utility methods for the {@link ContourPlot} class.
    053     *
    054     * @author David M. O'Donnell
    055     */
    056    public abstract class ContourPlotUtilities {
    057
    058        /**
    059         * Returns the visible z-range.
    060         *
    061         * @param data  the dataset.
    062         * @param x  the x range.
    063         * @param y  the y range.
    064         *
    065         * @return The range.
    066         */
    067        public static Range visibleRange(ContourDataset data, Range x, Range y) {
    068            Range range = null;
    069            range = ((DefaultContourDataset) data).getZValueRange(x, y);
    070            return range;
    071        }
    072
    073    }